Bug 1011134 - [abrt] pronterface-0.0-32.20130711gitb8f549b.fc18: stltool.py:121:__init__:error: unpack_from requires a buffer of at least 4 bytes
[abrt] pronterface-0.0-32.20130711gitb8f549b.fc18: stltool.py:121:__init__:er...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: printrun (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
abrt_hash:79c1c333f91a5eb60aaed3572f1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 12:25 EDT by novikovfb
Modified: 2013-11-26 11:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 11:04:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (908 bytes, text/plain)
2013-09-23 12:25 EDT, novikovfb
no flags Details
File: dso_list (94 bytes, text/plain)
2013-09-23 12:25 EDT, novikovfb
no flags Details
File: environ (1.69 KB, text/plain)
2013-09-23 12:25 EDT, novikovfb
no flags Details

  None (edit)
Description novikovfb 2013-09-23 12:25:30 EDT
Version-Release number of selected component:
pronterface-0.0-32.20130711gitb8f549b.fc18

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/bin/pronterface
executable:     /usr/bin/pronterface
kernel:         3.10.11-100.fc18.i686
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
stltool.py:121:__init__:error: unpack_from requires a buffer of at least 4 bytes

Traceback (most recent call last):
  File "/usr/bin/plater.py", line 404, in right
    self.load_file(event, name)
  File "/usr/bin/plater.py", line 409, in load_file
    self.load_stl(event, filename)
  File "/usr/bin/plater.py", line 449, in load_stl
    self.load_stl_into_model(name, name)
  File "/usr/bin/plater.py", line 460, in load_stl_into_model
    self.models[newname] = stltool.stl(path)
  File "/usr/lib/python2.7/site-packages/printrun/stltool.py", line 121, in __init__
    facetcount = struct.unpack_from("<I", buf, 80)
error: unpack_from requires a buffer of at least 4 bytes

Local variables in innermost frame:
f: <open file u'/home/fedia/Projects/gear1.stl', mode 'rb' at 0xa02ac28>
buf: ''
self: <printrun.stltool.stl object at 0xa04532c>
filename: u'/home/fedia/Projects/gear1.stl'
data: ''
newdata: ''
Comment 1 novikovfb 2013-09-23 12:25:34 EDT
Created attachment 801762 [details]
File: backtrace
Comment 2 novikovfb 2013-09-23 12:25:38 EDT
Created attachment 801763 [details]
File: dso_list
Comment 3 novikovfb 2013-09-23 12:25:46 EDT
Created attachment 801764 [details]
File: environ
Comment 4 Miro Hrončok 2013-09-25 05:48:40 EDT
Can you please share the file you've tried to open?
Comment 5 novikovfb 2013-09-25 12:10:12 EDT
Probably i had invalid *.stl file:
Once i run export 3d-model as STL, don't wait for the end and try load it.
I couldn't repproduce this error.
Comment 6 Miro Hrončok 2013-09-25 13:56:45 EDT
So the only problem is, that incorrect STL kills the app instead of showing a decent error? Should I try fix it?
Comment 7 novikovfb 2013-09-26 12:46:26 EDT
I think, there should be more clear message, than ignoring of the file and emergence of a system error message for sysadmin. If you can do it - please, fix it.
Comment 8 Miro Hrončok 2013-09-27 05:17:50 EDT
https://github.com/kliment/Printrun/pull/436

Note You need to log in before you can comment on or make changes to this bug.